#!/bin/sh
##########################################################
#
# football_inter_alltab.sh
#
# Tables for most European Football Leagues
#
# Flexmenu Plugin must be installed
#
# shellexec.conf entry:
#
# ACTION=&Fu~zball International,( /var/plugins/football_inter_alltab.sh makemenu ; /var/plugins/shellexec /tmp/football_inter_alltab.inc ; rm /tmp/football_inter_alltab.* )
#
#
# V1.0  Additional European Leagues
# V1.0a Swiss Super League added
#       Wales ACTION Statement corrected
# V1.1  URLs and div. sed Statements corrected
# V1.2  Last Results added
# V1.2a msgbox parameter: size=26 changed to size=22 because of tables with more then 18 teams
#       and small program changes
# V1.2b small changes
# V1.2c HTML Source has changed, fixed this
# V1.2d HTML Source has changed, fixed
# V1.2e go back with Home/Lame Key added
# V1.2f HTML Source has changed, fixed
# V1.2g HTML Source has changed, fixed
#
# Author: PDM , barabas
##########################################################
#set -x

# check echo Fehler busybox v1.0.1
if [ `echo "\r" | grep -c "\r"` -gt 0 ] ; then
  TAB=`echo -e "\t"`
  CRLF=`echo -e "\r"`
  CR=`echo -e "\n"`
else
  TAB=`echo "\t"`
  CRLF=`echo "\r"`
  CR=`echo "\n"`
fi

# Menu
menuinc=/tmp/football_inter_alltab.inc

# date / time for title
time4title=`date "+%d.%m.%y %H:%M"`

buttontext="(c) kicker.de $time4title"

# Menutitle global
titletext=""

#------------------- make Main  ------------------

makemenu () {

echo "
FONT=/share/fonts/micron_bold.ttf
FONTSIZE=20
LINESPP=14
WIDTH=620
HIGHT=500
MENU=~Ubersicht der Ligen
ACTION=&English Premiership,$0 english
ACTION=&Scottish Premier League,$0 scottish
ACTION=&German 1. Bundesliga,$0 german
ACTION=&Austrian Bundesliga,$0 austrian
ACTION=&Schweiz Super League,$0 swiss
ACTION=&Spanish Primera Divisin,$0 spanish
ACTION=&Italian Seria A,$0 italian
ACTION=&Dutch Eredivisie,$0 dutch
ACTION=&French Ligue 1,$0 french
ACTION=&Albanien Kampionati shqiptar,$0 albanien
ACTION=&Belgian Jupiler League,$0 belgian
ACTION=&Bosnian-Herzegovina Premier Liga,$0 bosnian
ACTION=&Bulgarian Wisscha Liga,$0 bulgarian
ACTION=&Croatian HNL,$0 croatian
ACTION=&Cypriot Erste Division,$0 cypriot
ACTION=&Czech Republic Gambrinus Liga,$0 czech
ACTION=&Danish Ligaen,$0 danish
ACTION=&Irish League,$0 irish
ACTION=&Icelandic League,$0 icelandic
ACTION=&Israele Premier League,$0 israele
ACTION=&Faroe Island 1. Liga,$0 faroe
ACTION=&Finnish Veikkausliiga,$0 finnish
ACTION=&Greek National Division,$0 greek
ACTION=&Hungarian NB1,$0 hungarian
ACTION=&Lattland Meistriliiga,$0 lattland
ACTION=&Lithuanian A-Liga, $0 lithuanian
ACTION=&Luxembourg National Division, $0 luxembourg
ACTION=&Macedonian 1. Division, $0 macedonian
ACTION=&Norwegan Tippeligaen,$0 norwegan
ACTION=&Northern Ireland Premier League,$0 northernireland
ACTION=&Swedish Allsvenskan,$0 swedish
ACTION=&Turkish Super Lig,$0 turkish
ACTION=&Polish Ekstraklasa,$0 polish
ACTION=&Portugese Liga,$0 portugese
ACTION=&Romanian Divizia Nationala,$0 romanian
ACTION=&Russian Premier Liga,$0 russian
ACTION=&Ukrainian Wischa Liga,$0 ukrainian
ACTION=&Welsh League of Wales,$0 wales
ACTION=&White Russian 1.Liga,$0 whiterussian
ENDMENU
" >$menuinc

}


#------------------- Table Output --------------------

createtable () {

liga=$1

# Output one file per league
output=/tmp/football_inter_alltab.$liga


  # URL titletext and places for the respective league
  case "$liga" in
        cypriot) url="http://www.kicker.de/fussball/intligen/ligen/tabelle/liga/1734"
                 titletext="Cypriot First Division"
                 # bei 14 Teams steigen hier 3 Teams ab die ersten spielen CL, u. 2 im Uefa-Cup
                 auf1="~G";uefa2="~Y";ab12="~B";ab13="~B";ab14="~B"
                 ;;
   whiterussian) url="http://www.kicker.de/fussball/intligen/ligen/tabelle/liga/2027"
                 titletext="White Russian 1.Liga"
                 # bei 14 Teams steigen hier 2 Teams ab die ersten spielen CL, u. 2 im Uefa-Cup
                 auf1="~G";uefa2="~Y";ab13="~B";ab14="~B"
                 ;;
          wales) url="http://www.kicker.de/fussball/intligen/ligen/tabelle/liga/1745"
                 titletext="Welsh League of Wales"
                 # bei 18 Teams steigen hier 2 Teams ab die ersten spielen CL, u. 2 im Uefa-Cup
                 auf1="~G";uefa2="~Y";ab17="~B";ab18="~B"
                 ;;
      hungarian) url="http://www.kicker.de/fussball/intligen/ligen/tabelle/liga/1904"
                 titletext="Hungarian NB1"
                 # bei 16 Teams steigen hier 2 Teams ab die ersten spielen CL, u. 2 im Uefa-Cup
                 auf1="~G";uefa2="~Y";ab15="~B";ab16="~B"
                 ;;
      ukrainian) url="http://www.kicker.de/fussball/intligen/ligen/tabelle/liga/1725"
                 titletext="Ukrainian Wischa Liga"
                 # bei 16 Teams steigen hier 2 Teams ab die erste 2 spielen CL, u. 3 im Uefa-Cup
                 auf1="~G";auf2="~G";uefa3="~Y";ab15="~B";ab16="~B"
                 ;;
          czech) url="http://www.kicker.de/fussball/intligen/ligen/tabelle/liga/1718"
                 titletext="Czech - Gambrinus League"
                 # bei 16 Teams steigen hier 2 Teams ab die erste 2 spielen CL, u. 3 im Uefa-Cup
                 auf1="~G";auf2="~G";uefa3="~Y";ab15="~B";ab16="~B"
                 ;;
northernireland) url="http://www.kicker.de/fussball/intligen/ligen/tabelle/liga/1744"
                 titletext="Northern Ireland Premier League"
                 # bei 16 Teams steigen hier 2 Teams ab die ersten spielen CL, u. 2 im Uefa-Cup
                 auf1="~G";uefa2="~Y";ab15="~B";ab16="~B"
                 ;;
     macedonian) url="http://www.kicker.de/fussball/intligen/ligen/tabelle/liga/1748"
                 titletext="Macedonian 1. Division"
                 # bei 12 Teams steigen hier 2 Teams ab die ersten spielen CL, u. 2 im Uefa-Cup
                 auf1="~G";uefa2="~Y";ab11="~B";ab12="~B"
                 ;;
     luxembourg) url="http://www.kicker.de/fussball/intligen/ligen/tabelle/liga/1773"
                 titletext="Luxembourg National Division"
                 # bei 14 Teams steigen hier 2 Teams ab die ersten spielen CL, u. 2 im Uefa-Cup
                 auf1="~G";uefa2="~Y";ab13="~B";ab14="~B"
                 ;;
     lithuanian) url="http://www.kicker.de/fussball/intligen/ligen/tabelle/liga/1746"
                 titletext="Lithuanian A-Liga"
                 # bei 10 Teams steigen hier 2 Teams ab die ersten spielen CL, u. 2 im Uefa-Cup
                 auf1="~G";uefa2="~Y";ab9="~B";ab10="~B"
                 ;;
        israele) url="http://www.kicker.de/fussball/intligen/ligen/tabelle/liga/1737"
                 titletext="Israele Premier League"
                 # bei 12 Teams steigen hier 2 Teams ab die ersten spielen CL, 2 u. 3 im Uefa-Cup
                 auf1="~G";uefa2="~Y";uefa3="~Y";ab11="~B";ab12="~B"
                 ;;
      icelandic) url="http://www.kicker.de/fussball/intligen/ligen/tabelle/liga/1742"
                 titletext="Icelandic League"
                 # bei 10 Teams steigen hier 2 Teams ab die erste spielen CL, u. 2 im Uefa-Cup
                 auf1="~G";uefa2="~Y";ab9="~B";ab10="~B"
                 ;;
          irish) url="http://www.kicker.de/fussball/intligen/ligen/tabelle/liga/1921"
                 titletext="Irish League"
                 # bei 12 Teams steigen hier 2 Teams ab die erste spielen CL, u. 2 im Uefa-Cup
                 auf1="~G";uefa2="~Y";ab11="~B";ab12="~B"
                 ;;
          greek) url="http://www.kicker.de/fussball/intligen/ligen/tabelle/liga/1719"
                 titletext="Greek National Division"
                 # bei 16 Teams steigen hier 3 Teams ab die ersten 2 spielen CL, 3, 4 u. 5 im Uefa-Cup
                 auf1="~G";auf2="~G";uefa3="~Y";uefa4="~Y";uefa5="~Y";ab14="~B";ab15="~B";ab16="~B"
                 ;;
        finnish) url="http://www.kicker.de/fussball/intligen/ligen/tabelle/liga/1727"
                 titletext="Finnish Veikkausliiga"
                 # bei 14 Teams steigen hier 2 Teams ab die erste spielen CL, u. 2 im Uefa-Cup
                 auf1="~G";uefa2="~Y";ab13="~B";ab14="~B"
                 ;;
          faroe) url="http://www.kicker.de/fussball/intligen/ligen/tabelle/liga/1749"
                 titletext="Faroe Island 1. Liga"
                 # bei 10 Teams steigen hier 2 Teams ab die erste spielen CL, u. 2 im Uefa-Cup
                 auf1="~G";uefa2="~Y";ab9="~B";ab10="~B"
                 ;;
       lattland) url="http://www.kicker.de/fussball/intligen/ligen/tabelle/liga/1747"
                 titletext="Lattland Meistriliiga"
                 # bei 10 Teams steigen hier 2 Teams ab die erste spielen CL, u. 2 im Uefa-Cup
                 auf1="~G";uefa2="~Y";ab9="~B";ab10="~B"
                 ;;
         danish) url="http://www.kicker.de/fussball/intligen/ligen/tabelle/liga/1704"
                 titletext="Danish Ligaen"
                 # bei 12 Teams steigen hier 2 Teams ab die erste spielen CL, u. 2 im Uefa-Cup
                 auf1="~G";uefa2="~Y";ab11="~B";ab12="~B"
                 ;;
       croatian) url="http://www.kicker.de/fussball/intligen/ligen/tabelle/liga/1717"
                 titletext="Croatian HNL"
                 # bei 12 Teams steigen hier 3 Teams ab die ersten spielen CL,  u. 2 im Uefa-Cup
                 auf1="~G";uefa2="~Y";ab11="~B";ab12="~B"
                 ;;
      bulgarian) url="http://www.kicker.de/fussball/intligen/ligen/tabelle/liga/1722"
                 titletext="Bulgarian Wisscha Liga"
                 # bei 16 Teams steigen hier 3 Teams ab die erste spielen CL, 2 u. 3 im Uefa-Cup
                 auf1="~G";uefa2="~Y";uefa3="~Y";ab14="~B";ab15="~B";ab16="~B"
                 ;;
        bosnian) url="http://www.kicker.de/fussball/intligen/ligen/tabelle/liga/1772"
                 titletext="Bosnian-Herzegovina Premier Liga"
                 # bei 16 Teams steigen hier 2 Teams ab die erste spielen CL, u. 2 im Uefa-Cup
                 auf1="~G";uefa2="~Y";ab15="~B";ab16="~B"
                 ;;
        belgian) url="http://www.kicker.de/fussball/intligen/ligen/tabelle/liga/1711"
                 titletext="Belgian Jupiler League"
                 # bei 18 Teams steigen hier 2 Teams ab die erste spielen CL, 2 u. 3 im Uefa-Cup
                 auf1="~G";auf2="~G";uefa3="~Y";ab17="~B";ab18="~B"
                 ;;
       albanien) url="http://www.kicker.de/fussball/intligen/ligen/tabelle/liga/1754"
                 titletext="Albanien Kampionati shqiptar"
                 # bei 12 Teams steigen hier 2 Teams ab die erste spielen CL u. 2 im Uefa-Cup
                 auf1="~G";uefa2="~Y";ab11="~B";ab12="~B"
                 ;;
        russian) url="http://www.kicker.de/fussball/intligen/ligen/tabelle/liga/1720"
                 titletext="Russian Premier Liga"
                 # bei 16 Teams steigen hier 2 Teams ab die ersten 2 spielen CL u. 3 im Uefa-Cup
                 auf1="~G";auf2="~G";uefa3="~Y";ab15="~B";ab16="~B"
                 ;;
       romanian) url="http://www.kicker.de/fussball/intligen/ligen/tabelle/liga/1713"
                 titletext="Romanian Divizia Nationala"
                 # bei 18 Teams steigen hier 2 Teams ab die ersten spielen CL u. der 3. im Uefa-Cup
                 auf1="~G";auf2="~G";uefa3="~Y";ab17="~B";ab18="~B"
                 ;;
      portugese) url="http://www.kicker.de/fussball/intligen/ligen/tabelle/liga/1716"
                 titletext="Portugese Liga"
                 # bei 18 Teams steigen hier 4 Teams ab die ersten 3 spielen CL  4 u. 5 Uefa-Cup
                 auf1="~G";auf2="~G";auf3="~G";uefa4="~Y";uefa5="~Y";ab15="~B";ab16="~B";ab17="~B";ab18="~B"
                 ;;
         polish) url="http://www.kicker.de/fussball/intligen/ligen/tabelle/liga/1710"
                 titletext="Polish Ekstraklasa"
                 # bei 16 Teams steigen hier 3 Teams ab die ersten spielen CL  2 u. 3 Uefa-Cup
                 auf1="~G";uefa2="~Y";uefa3="~Y";ab14="~B";ab15="~B";ab16="~B"
                 ;;
        turkish) url="http://www.kicker.de/fussball/intligen/ligen/tabelle/liga/1707"
                 titletext="Turkcell S~uper Lig"
                 # bei 18 Teams steigen hier x Teams ab die ersten 2 spielen CL u. 3 Uefa-Cup
                 auf1="~G";auf2="~G";uefa3="~Y";ab16="~B";ab17="~B";ab18="~B"
                 ;;
        swedish) url="http://www.kicker.de/fussball/intligen/ligen/tabelle/liga/1715"
                 titletext="Swedish Allsvenskan"
                 # bei 14 Teams steigen hier 2 Teams ab die ersten spielen CL u. 2 Uefa-Cup
                 auf1="~G";uefa2="~Y";ab13="~B";ab14="~B"
                 ;;
       norwegan) url="http://www.kicker.de/fussball/intligen/ligen/tabelle/liga/1708"
                 titletext="Norwegan Tippeligaen"
                 # bei 14 Teams steigen hier 2 Teams ab die ersten spielen CL u. 2 Uefa-Cup
                 auf1="~G";uefa2="~Y";ab13="~B";ab14="~B"
                 ;;
        english) url="http://www.kicker.de/fussball/intligen/ligen/tabelle/liga/500"
                 titletext="English Premier League"
                 # bei 20 Teams steigen hier 3 Teams ab die 4 ersten spielen CL 5 u. 6 Uefa-Cup
                 auf1="~G";auf2="~G";auf3="~G";auf4="~G";uefa5="~Y";uefa6="~Y";ab18="~B";ab19="~B";ab20="~B"
                 ;;
          dutch) url="http://www.kicker.de/fussball/intligen/ligen/tabelle/liga/1733"
                 titletext="Dutch Eredivisie"
                 # bei 20 Teams steigen hier 3 Teams ab die 4 ersten spielen CL 5 u. 6 Uefa-Cup
                 auf1="~G";auf2="~G";uefa3="~Y";uefa4="~Y";ab17="~B";ab18="~B"
                 ;;
       scottish) url="http://www.kicker.de/fussball/intligen/ligen/tabelle/liga/1732"
                 titletext="Scottish Premier League"
                 # bei 12 Teams steigen hier 3 Teams ab die 2 ersten spielen CL u. 3 Uefa-Cup
                 auf1="~G";auf2="~G";uefa3="~Y";ab12="~B"
                 ;;
        italian) url="http://www.kicker.de/fussball/intligen/ligen/tabelle/liga/700"
                 titletext="Italian Seria A"
                 # bei 20 Teams steigen hier 3 Teams ab die 4 ersten spielen CL 5 u.6 Uefa-Cup
                 auf1="~G";auf2="~G";auf3="~G";auf4="~G";uefa5="~Y";uefa6="~Y";ab18="~B";ab19="~B";ab20="~B"
                 ;;
        spanish) url="http://www.kicker.de/fussball/intligen/ligen/tabelle/liga/900 "
                 titletext="Spanish Primera Divisin"
                 # bei 20 Teams steigen hier 3 Teams ab die 4 ersten spielen CL 5 u.6 Uefa-Cup
                 auf1="~G";auf2="~G";auf3="~G";auf4="~G";uefa5="~Y";uefa6="~Y";ab18="~B";ab19="~B";ab20="~B"
                 ;;
         french) url="http://www.kicker.de/fussball/intligen/ligen/tabelle/liga/1701"
                 titletext="French Ligue 1"
                 # bei 20 Teams steigen hier 3 Teams ab die 3 ersten spielen CL 4 Uefa-Cup
                 auf1="~G";auf2="~G";auf3="~G";uefa4="~Y";ab18="~B";ab19="~B";ab20="~B"
                 ;;
         german) url="http://www.kicker.de/fussball/intligen/ligen/tabelle/liga/1"
                 titletext="German 1.Bundesliga"
                 # bei 18 Teams steigen hier 3 Teams ab die 3 ersten spielen CL 4 u.5 Uefa-Cup
                 auf1="~G";auf2="~G";auf3="~G";uefa4="~Y";uefa5="~Y";ab16="~B";ab17="~B";ab18="~B"
                 ;;
       austrian) url="http://www.kicker.de/fussball/intligen/ligen/tabelle/liga/1705"
                 titletext="Austrian T-Mobile Bundesliga"
                 # bei 10 Teams steigen hier 1 Team ab die 2 ersten spielen CL Quali der 3te Uefa-Cup
                 auf1="~G";auf2="~G";uefa3="~Y";ab10="~B"
                 ;;
         swiss) url="http://www.kicker.de/fussball/intligen/ligen/tabelle/liga/1706"
                 titletext="Schweiz Super League"
                 # bei 10 Teams steigt hier 1 Team ab der erste spielt CL Quali der 2te und 3te Uefa-Cup
                 auf1="~G";uefa2="~Y";uefa3="~Y";ab10="~B"
                 ;;


  esac

# only if table does not exist new create

if [ ! -f $output ] ; then

  # tablehead out
  echo "~Y ~T100Team~T280P~T310W~T335D~T360L~T385Goals~T435Diff.~T475Pts~S">$output
  echo "~s" >>$output

  #get data from internet and write it to file ( 1. sed because of ^M )
   wget -O- $url | sed 's/.$//g' >$output.tmp

       ###################
       # Create Table
       ###################
       sed " # include all between Tabelle and </table>

            /<h3 class=\"tabhead.*\">Tabelle<\/h3>/,/<\/table>/!d

            # change all Tags by mark (#)
            s/<[^>]*>/#/g

            # if only marks or spaces in the line then delete this
            s/^[ #]*$//g" $output.tmp |\

            # now put all lines with an mark (#) at the end together
            # and set a new mark (@)

       sed ":a
            /#$/N; s/#\n/@/; ta " |\

       sed "# now delete all marks (#)
            s/#*//g

            # delete all marks (@) at the beginning of the line
            s/^$TAB*@//g
            s/^@//g

            # delete all TABS after @
            s/@$TAB*/@/g

            # delete all nbsp Tags
            s/&nbsp;//g

            # delete all double @
            s/@*/@/g

            # delete all @ with TABs at the beginning of the line
            s/^@$TAB*//g

            # delete all between Tabelle and Verein
            /Tabelle/,/Verein/d

            # delete all lines beginning with one or more Spaces
            /^ +$/d

            # delete all blank lines
            /^$/d

            # set absolut position between place and name
            s/@/~T100/
            # between place and all games
            s/@/~T280/
            # between all games and won
            s/@/~T315/
            # between won and drawn
            s/@/~T340/
            # between drawn and lost
            s/@/~T365/
            # between lost and goals
            s/@/~T390/
            # between goals and goal difference
            s/@/~T440/
            # between goal difference and points
            s/@/~T480/

            # change all marks at the end of the line by ~S (standard color)
            s/@$/~S/g

            # delete space before tilde
            s/ ~/~/g

            # &nbsp; change at the beginning of the line by --
            # even then when two teams are on the same place
            s/&nbsp;/--/g

            # CL,UEFA, places in different colors
            s/^1~/${auf1}1~/
            s/^2~/${auf2}2~/
            s/^3~/${auf3}3~/
            s/^4~/${auf4}4~/
            s/^2~/${uefa2}2~/
            s/^3~/${uefa3}3~/
            s/^4~/${uefa4}4~/
            s/^5~/${uefa5}5~/
            s/^6~/${uefa6}6~/
            s/^9~/${ab9}9~/
            s/^10~/${ab10}10~/
            s/^11~/${ab11}11~/
            s/^12~/${ab12}12~/
            s/^13~/${ab13}13~/
            s/^14~/${ab14}14~/
            s/^15~/${ab15}15~/
            s/^16~/${ab16}16~/
            s/^17~/${ab17}17~/
            s/^18~/${ab18}18~/
            s/^19~/${ab19}19~/
            s/^20~/${ab20}20~/"  >>$output


       ######################
       # Create Last Results
       ######################
       sed " # include all between Begegnungen and </table>
             /Begegnungen<\/span>/,/<\/table>/!d

             # change all Tags by mark (#)
             s/<[^>]*>/#/g

             # if only TABs with one mark in the line then delete this line
             /^$TAB*#$/d

             # delete all TABS at the beginning of the line
             s/^$TAB*#//

             s/## -#/##/g

             /^[ ]*##*$/d" $output.tmp |\

        sed " # delete line 1 - 12
              1,12d

              # if only one mark in the line then delete this line
              #/^#$/d

              # if only TABs in the line then delete this line
              # and put all lines with two marks (##) at the end together
              /^$TAB*$/d" |  sed ":a
                                 /##$/N ; s/#\n/#/; ta " |\

                             sed "s/Torsch&uuml;tzen//g
                                  s/Schema//g
                                  s/Analyse//g
                                  s/Live//g
                                  s/Vorschau//g
                                  s/Spielbericht//g
                                  s/&nbsp;/ /g" |\

                             sed ":a
                                  /- #$/N ; s/- #\n/-/; ta" |\

                             # put date of the week and date line together
                             sed ":a
                                  /Sa#$/N ; s/Sa#\n/~s\n~YSa#/; ta" |\

                             sed ":a
                                  /So#$/N ; s/So#\n/~s\n~YSo#/; ta" |\

                             sed ":a
                                  /Mo#$/N ; s/Mo#\n/~s\n~YMo#/; ta" |\

                             sed ":a
                                  /Di#$/N ; s/Di#\n/~s\n~YDi#/; ta" |\

                             sed ":a
                                  /Mi#$/N ; s/Mi#\n/~s\n~YMi#/; ta" |\

                             sed ":a
                                  /Do#$/N ; s/Do#\n/~s\n~YDo#/; ta" |\

                             sed ":a
                                  /Fr#$/N ; s/Fr#\n/~s\n~YFr#/; ta" |\

                             sed "s/^#*//

                                  s/## -#/-/g

                                  s/#$//g

                                  s/##/~T420/g

                                  s/(/~T445(/g

                                  s/#/~t/g" |\

                             sed '/^$/d
                                  /^ $/d' |\

                             sed 's/^ ~T420 ~T420//g
                                  s/^~t//g
                                  /^ /d' >$output.result


fi

while true
 do
   auswahl=`msgbox title="$titletext   (c) kicker.de" size=22 select="Zurck,Aktueller Spieltag" echo=1 timeout=600 msg=$output`
   case $auswahl in

               "Zurck") break ;;
                     "") break ;;
   "Aktueller Spieltag") msgbox title="Aktueller Spieltag   (c) kicker.de" size=24 select="Zurck" timeout=600 msg=$output.result ;;
   esac
 done

#cat $output
#rm $output

}


#---------------------------------- Main ------------------------------

case "$1" in

  makemenu) makemenu ;;
         *) createtable $1 ;;

esac
